#chef

/

      • Breaking_Pitt has quit
      • jjj_ joined the channel
      • vigith
        coderanger: the reason i went to UI was because knife configure --initial was giving me trouble
      • ERROR: Chef::Exceptions::ValidationFailed: Option admin must be a kind of [TrueClass, FalseClass]! You passed "https://example.com/users/admin".
      • mikexstudios
        @coderanger: well, but data bags can be encrypted and moving things to a data bag is a good practice for if I upgrade from chef-solo.
      • rickmanelius has quit
      • crazysix has quit
      • vigith
        nm.. i got the fix.. i had to give url has https://
      • garrypolley has quit
      • thun_ has quit
      • zanshin joined the channel
      • MrBIOS has quit
      • zanshin has quit
      • dbodner has quit
      • alunduil joined the channel
      • coderanger
        mikexstudios: encrypted data bags with solo are almost certainly not what you want to be using
      • mikexstudios: Check out the citadel cookbook and chef-vault
      • mikexstudios: With solo, even that is probably pushing it though
      • blarghmatey has quit
      • mikexstudios
        coderanger: Thanks for the suggestions. I was just reading up on chef-vault.
      • ranjib has quit
      • coderanger
        mikexstudios: Basically think very carefully about what security assertions you are making and why, knee jerk "we need encryption" is sometimes counter productive :)
      • dbodner joined the channel
      • For example, if the git repo isn't public, and you are using something like knife solo, encryption is mostly moot since the only place your data lives is either on your workstation (presumed safe) or the target server (which you just gave the decryption key)
      • mikexstudios
        coderanger: Right. I was thinking about possibly making my git repo public in the future, which is why I considered encryption despite using chef-solo at the moment.
      • But even then, I should probably just not check any data in the git repo in the first place.
      • coderanger
        mikexstudios: So in that case, think about how you are going to store and manage your decryption keys, and if you can just distribute secret data that way and skip the encryption
      • MattMake_ has quit
      • mikexstudios
        coderanger: Thanks. I'll re-think my strategy.
      • MattMaker joined the channel
      • coderanger
        :-) Its a Very Hard Thing to get right
      • citadel is nice, but only works if you are 100% amazon kool aid
      • beyond that, just cross your fingers for barbican or something similar
      • jmickle has quit
      • MrBIOS joined the channel
      • rm_ has quit
      • rm_ joined the channel
      • Nick1_ has quit
      • yuri1 joined the channel
      • rm_ has quit
      • yuri1 has quit
      • quattro_ has quit
      • cyberswat has quit
      • mconigliaro has quit
      • mikexstudios has left the channel
      • mconigliaro joined the channel
      • jstump has quit
      • halfamind joined the channel
      • tlr00 has quit
      • alexbst has quit
      • tlr00 joined the channel
      • alexbst joined the channel
      • JayF
        What's the appropriate way to compare ubuntu versions? for example, node['platform_version
      • tplaner has quit
      • What's the appropriate way to compare ubuntu versions? for example, node['platform_version'] appears to return a string ("12.04") but I want to do a comparison to it (i.e. <13.10, do this, else do this)
      • tlr00 has quit
      • mconigliaro has quit
      • coderanger
        JayF: The usual trick is to use Gem::Version
      • JayF
        I don't understand what you mean
      • coderanger
        which implements major/minor/rev/etc comparison logic
      • JayF
        ah
      • but I'd have to import all of rubygems to get that
      • coderanger
        if Gem::Version.new(node['platform_verison']) > Gem::Version.new('whatever')
      • Rubygems is always loaded
      • Thats how Ruby packaging works in the first place
      • halfamind has quit
      • JayF
        sweet, that appears to do exactly what I wanted
      • Thanks a bunch!
      • Guest48470 has quit
      • ericReeves has left the channel
      • MrBIOS has quit
      • jmickle has quit
      • halfamind joined the channel
      • j^2 has quit
      • Xeron has quit
      • alisdair joined the channel
      • ryker has quit
      • halfamind has quit
      • rm_ joined the channel
      • halfamind joined the channel
      • halfamind has quit
      • MrBIOS joined the channel
      • zanshin joined the channel
      • palms has quit
      • halfamind joined the channel
      • jjj_ has quit
      • jjj_ joined the channel
      • hasp-air joined the channel
      • zanshin has quit
      • damian joined the channel
      • damian is now known as Guest72568
      • rm_ has quit
      • rm_ joined the channel
      • jjj_ has quit
      • caryp has quit
      • valerienc joined the channel
      • Guest72568 has quit
      • freerobby has quit
      • jmickle joined the channel
      • valerienc has quit
      • justizin has quit
      • dbodner has quit
      • MrBIOS has quit
      • carmstrong has quit
      • dbodner joined the channel
      • justizin joined the channel
      • magoo has quit
      • valerienc joined the channel
      • valerienc has quit
      • valerienc joined the channel
      • jmickle has quit
      • junk has quit
      • eponymi joined the channel
      • justizin has quit
      • pravka_ has quit
      • mdpatrick
        Hey guys I'm trying to run bootstrap on an existing node, and it keeps running an old version of one of my recipes! My depends line does NOT state a version. Once I deleted the old recipe off my hosted chef entirely it began to just throw an error saying the recipe doesn't exist at all (which is incorrect, I just deleted old version). Is there somewhere that recipe version is set OTHER THAN metadata.rb???????
      • valerienc has quit
      • coderanger
        mdpatrick: check the environment for a version constraint, or other cookbooks that depend on it
      • justizin joined the channel
      • justizin has quit
      • Demeisen joined the channel
      • pravka joined the channel
      • rm_ has quit
      • rm_ joined the channel
      • rm_ has quit
      • rm_ joined the channel
      • freerobby joined the channel
      • halfamind has quit
      • tobin joined the channel
      • alunduil has quit
      • freerobby has quit
      • zanshin joined the channel
      • MrBIOS joined the channel
      • tkuchiki joined the channel
      • tobin has quit
      • zanshin has quit
      • halfamind joined the channel
      • rm_ has quit
      • rm_ joined the channel
      • mdpatrick
        coderanger: Environment just says _default on opscode. there is a cookbook depending on it, but no version specified on depends line
      • rm__ joined the channel
      • alunduil joined the channel
      • eponymi has quit
      • rm_ has quit
      • MrBIOS has quit
      • coderanger
        mdpatrick: Also check all other cookbooks depending on it, and look in your run lists for a name@version yntax
      • damian joined the channel
      • damian is now known as Guest61889
      • freerobby joined the channel
      • halfamind has quit